
<script language="javascript">



	function pon_prefijo() {

	parent.document.getElementById("form_busqueda").submit();
	parent.document.getElementById('bloquea').style.display='none';
}



</script>

<?php
include ("../conexion.php");
include ("../funciones/fechas.php");

$consulta1 = "DELETE FROM seguimiento_comicion_recibos ";  ////// Limpia la tabla cartera_cxc
	$mysqli->query($consulta1);

 
$cdgven = $_GET["vendedor"];
$fecini    = $_GET["fechainicio"];
$fecfin    = $_GET["fechafin"];

 $fechainicio= implode("-", array_reverse(explode("-", $fecini))); 
 $fechafin= implode("-", array_reverse(explode("-", $fecfin))); 



$where="1=1";
//if ($cdgven <> "") { $where.=" AND cdgven='$cdgven'"; }
	
	
	
if (($fechainicio<>"") and ($fechafin<>"")) {
	$where.=" AND pagos_clientes.fecrec between '".$fechainicio."' AND '".$fechafin."'";
} else {
	if ($fechainicio<>"") {
		$where.=" AND  pagos_clientes.fecrec >='".$fechainicio."'";
	} else {
		if ($fechafin<>"") {
			$where.=" AND  pagos_clientes.fecrec <='".$fechafin."'";
		}
	}
}


 	
$consulta ="SELECT * FROM pagos_clientes  WHERE cdgven <> '' AND ".$where;

?>
 <script languaje="javascript">
//alert(" <?php // echo $consulta ?>" );
</script>
<?php
	
	
	
if ($resultado = $mysqli->query($consulta)) 

    while ($fila = $resultado->fetch_assoc()) {
        $numrec        = $fila["numrec"];
        $cdgcli        = $fila["cdgcli"];
		$fecrec        = $fila["fecrec"];
		$cdgven        = $fila["cdgven"];
		
		$query_codcaj="SELECT * FROM usuarios  WHERE codusu='$cdgven' ";
		$result_codcaj = $mysqli->query($query_codcaj);
		$row_codcaj  = $result_codcaj->fetch_array();
		$dscven    = $row_codcaj["usu"];
		
		
		
	
		$fecha_recibo     = implode("-", array_reverse(explode("-", $fecrec))); 

		
		
				 
		$consulta1 = "SELECT * FROM pagos_clientes_recibos_lineas WHERE numrec='$numrec' AND cdgcli= '$cdgcli'  AND borrado=0";
	   if ($resultado1 = $mysqli->query($consulta1)) 

       while ($row1 = $resultado1->fetch_assoc()) {

		$numfac  = $row1["numfac"];
		$monabo = $row1["monabo"];
		
		
		$sel_saldoactual="SELECT  *  FROM web_2101 WHERE numfac = '$numfac' AND CDGCLI = '$cdgcli' ";
		$rs_saldo = $mysqli->query($sel_saldoactual);
		$fila4 = $rs_saldo->fetch_array();

	
      //  $numfac  = $fila4["NUMFAC"];
		   $fecfac  = $fila4["FECFAC"];
		   $cdgcli  = $fila4["CDGCLI"];
		   $dsccli  = $fila4["DSCCLI"];
		   $pladia  = $fila4["PLADIA"];
		   $fecven  = $fila4["FECVEN"];
		   $totnet  = $fila4["FECVEN"];
		   
			/**********fecha de la factura - fecha del recibo **************/
			
			$segundos=  strtotime($fecha_recibo)  -  strtotime($fecfac) ;  ///calcula los dias de vencimiento
			$dias=intval($segundos/60/60/24);	
			$monto=0;
			
			
			if($dias <= 0)   {
			
			$porcentaje=5;
			
			$monto=($monabo*$porcentaje)/100;
			}
			
	
		  if(($dias > 0) && ($dias <= 90)) {
			$porcentaje=5;
			$monto=($monabo*$porcentaje)/100;
	
		}
		
		
			if($dias >= 90) {
			$porcentaje=3;
			$monto=($monabo*$porcentaje)/100;
	
		}
		

		
			 
			
	 
	   ///////////////////////  inserta en la tabla cartera_cxc los resultados ////////////

	$sel_insertar="INSERT INTO seguimiento_comicion_recibos (numfac, fecfac, fecven,monabo ,cdgcli,dsccli,fecrec,cdgven,dscven, dias, porcentaje, monto, numrec) VALUES 
		('$numfac', '$fecfac','$fecven','$monabo', '$cdgcli','$dsccli','$fecrec', '$cdgven', '$dscven', '$dias','$porcentaje','$monto' ,  '$numrec' )";
		
				
	
	
	$mysqli->query($sel_insertar);


	
			}	

	}
	

?>
                 <script languaje="javascript">
	pon_prefijo();
	//alert(" <?php // echo $FECVEN  ?>" );
		</script>


